package com.chinaweal.aiccs.aiccs.fraudreg.service;

import com.chinaweal.aiccs.aiccs.fraudreg.entity.TBizFraud;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.chinaweal.youfool.framework.springboot.base.query.BaseQuery;
import com.chinaweal.youfool.framework.springboot.mybatis.plus.BaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 涉嫌冒用登记业务表 服务类
 * </p>
 *
 * @author chinaweal
 * @since 2021-11-11
 */
public interface ITBizFraudService extends BaseService<TBizFraud> {


    /**
     * 新增涉嫌冒用登记业务表
     */
    TBizFraud saveTBizFraud(TBizFraud tBizFraud);

    /**
     * 修改涉嫌冒用登记业务表
     */
    void updateTBizFraud(TBizFraud tBizFraud);

    /**
     * 分页查询涉嫌冒用登记业务表
     */
    IPage<TBizFraud> listTBizFraud(BaseQuery<TBizFraud> query);

    /**
     * 根据bizSeq查询涉嫌冒用登记业务表
     */
    TBizFraud getTBizFraudByBizSeq(String bizSeq);

    List<Map<String, String>> statistics();
}
